Package com.arms.api.newsletter.service

## Class NewsletterImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.newsletter.service.NewsletterImpl

- All Implemented Interfaces:
    `Newsletter`, `TreeService`

      @Service("newsletter")
      public class NewsletterImpl
      extends TreeServiceImpl
      implements Newsletter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewsletterImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NewsletterEntity` | `addNewsletter​(NewsletterEntity newsletterEntity)` |
    `NewsletterEntity` | `getNewsletter​(java.lang.Long newsletterId)` |
    `java.lang.Long` | `getNewsletterCount​(NewsletterEntity newsletterEntity)` |
    `java.util.List<NewsletterDTO>` | `getNewsletters​(NewsletterEntity newsletterEntity, int pageIndex, int pageUnit)` |
    `java.util.List<NewsletterDTO>` | `getPopularNewsletters​(NewsletterEntity newsletterEntity, int pageIndex, int pageUnit)` |
    `NewsletterEntity` | `removeNewsletter​(java.lang.Long newsletterId)` |
    `NewsletterEntity` | `updateNewsletter​(NewsletterEntity newsletterEntity)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### NewsletterImpl

          public NewsletterImpl()

  - ### Method Detail

    - #### addNewsletter

          public NewsletterEntity addNewsletter​(NewsletterEntity newsletterEntity)
                                         throws java.lang.Exception

      Specified by:
        `addNewsletter` in interface `Newsletter`
      Throws:
        `java.lang.Exception`

    - #### getNewsletter

          public NewsletterEntity getNewsletter​(java.lang.Long newsletterId)
                                         throws java.lang.Exception

      Specified by:
        `getNewsletter` in interface `Newsletter`
      Throws:
        `java.lang.Exception`

    - #### updateNewsletter

          public NewsletterEntity updateNewsletter​(NewsletterEntity newsletterEntity)
                                            throws java.lang.Exception

      Specified by:
        `updateNewsletter` in interface `Newsletter`
      Throws:
        `java.lang.Exception`

    - #### removeNewsletter

          public NewsletterEntity removeNewsletter​(java.lang.Long newsletterId)
                                            throws java.lang.Exception

      Specified by:
        `removeNewsletter` in interface `Newsletter`
      Throws:
        `java.lang.Exception`

    - #### getNewsletters

          public java.util.List<NewsletterDTO> getNewsletters​(NewsletterEntity newsletterEntity,
                                                              int pageIndex,
                                                              int pageUnit)
                                                       throws java.lang.Exception

      Specified by:
        `getNewsletters` in interface `Newsletter`
      Throws:
        `java.lang.Exception`

    - #### getNewsletterCount

          public java.lang.Long getNewsletterCount​(NewsletterEntity newsletterEntity)
                                            throws java.lang.Exception

      Specified by:
        `getNewsletterCount` in interface `Newsletter`
      Throws:
        `java.lang.Exception`

    - #### getPopularNewsletters

          public java.util.List<NewsletterDTO> getPopularNewsletters​(NewsletterEntity newsletterEntity,
                                                                     int pageIndex,
                                                                     int pageUnit)
                                                              throws java.lang.Exception

      Specified by:
        `getPopularNewsletters` in interface `Newsletter`
      Throws:
        `java.lang.Exception`